chrome.app.runtime.onLaunched.addListener(function() {
    new TRAFxCommunicatorWindow();
});

var TRAFxCommunicatorWindow = function() {
    chrome.app.window.create(
        'TRAFx.html', 
        {
            id: "",
            resizable:false,
            bounds: {
                width: 545,
                height: 555
            }
        },
    //this is being called, i just need to feed it the proper connection Id ... runtime messaging?
        function(win){
            win.onClosed.addListener(function() {
               chrome.serial.disconnect(1, function(){});
            });
        }
    )
};
